#
# spec file for package uname-build-checks
#


Name:           uname-build-checks
License:        GPL v2 or later
Group:          Development/Tools/Building
Summary:        post checks for build after rpms have been created
Version:        1.0
Release:        0.5
BuildRequires:  kernel, rpm, coreutils
Source0:        uname.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:  coreutils

%description
modify uname commond


%prep

%build
MREL=`rpm -qi kernel | grep Version | awk -F' ' '{print $3}'`
MREL=$MREL-`rpm -qi kernel | grep Release | awk -F' ' '{print $3}'`
MREL=$MREL.`rpm -qi kernel | grep Architecture | awk -F' ' '{print $2}'`

echo $MREL > oe_kernelversion


%install
install -d $RPM_BUILD_ROOT/usr/bin
install -m 755 %{SOURCE0} $RPM_BUILD_ROOT/usr/bin/uname.sh
cp oe_kernelversion $RPM_BUILD_ROOT/.oe_kernelversion

%check

%clean
rm -rf $RPM_BUILD_ROOT

%post
if test -f /usr/bin/uname -a ! -L /usr/bin/uname ; then
    mv /usr/bin/uname /usr/bin/uname.bin
    ln -s /usr/bin/uname.sh /usr/bin/uname
fi

%preun
if test "$1" = 0 -a -f /bin/uname.bin ; then
    mv /bin/uname.bin /bin/uname
fi

%files
%defattr(-, root, root)
/usr/bin/uname.sh
/.oe_kernelversion

%changelog
* Tue Jan 5 2021 shenyangyang4@huawei.com 1.0-0.5
- rename uname-build-check.spec to uname-build-checks.spec

* Mon Jan 13 2020 buildteam@openeuler.org 1.0-0.4
- strengthen spec

* Thu Nov 26 2015 hexiaowen@huawei.com 1.0-0.3
- add ARCH info when get kernel version using "uname -r"

* Wed Nov 25 2015 hexiaowen@huawei.com 1.0-0.2
- Fixed bugs when get kernel version using "uname -r"

* Sat Dec 27 2014 zhenghaizhen@huawei.com 1.0-0.1
- new log

